Subject: [Hubmib] RFC 2668 Updates

From: John Flick <[email-masked]>
Date: Fri, 09 Mar 2001 16:56:24 -0800

Here are my list of updates to RFC 2668 to add 10Gig support.  Again,
I would argue that these changes should not preclude advancement to
Draft Standard.

1. Update Section 2 and Copyright boilerplate to latest approved
   incantations

2. Update Abstract and Section 1 to say this new memo obsoletes
   RFC 2668 and mention 10Gig.

3. Add Relationship to RFC 2668 to Overview.

4. Add reference to 802.3ae and mention 10Gig in Section 3.3.

5. Add OBJECT-IDENTITY definitions for the following MAU types:
   dot3MauType10GigBaseX
   dot3MauType10GigBaseLX4
   dot3MauType10GigBaseR
   dot3MauType10GigBaseER
   dot3MauType10GigBaseLR
   dot3MauType10GigBaseSR
   dot3MauType10GigBaseW
   dot3MauType10GigBaseEW
   dot3MauType10GigBaseLW
   dot3MauType10GigBaseLW4
   dot3MauType10GigBaseSW

6. Add the following enumerations to ifMauMediaAvailable:
   pmdLinkFault(12)
   wisFrameLoss(13)
   wisSignalLoss(14)
   pcsLinkFault(15)
   excessiveBER(16)
   dxsLinkFault(17)
   pxsLinkFault(18)

7. Add the following paragraph to the DESCRIPTION clause of
   ifMauMediaAvailable:
     "For 10 Gb/s, the enumerations map to the states within the
      Reconciliation Sublayer state diagram as follows:
       NoFault maps to the enumeration 'available(3)'
       LocalFault maps to the enumeration 'notAvailable(4)'
       RemoteFault maps to the enumeration 'remoteFault(5)'
      The enumerations 'pmdLinkFault(12)', 'wisFrameLoss(13)',
      'wisSignalLoss(14)', 'pcsLinkFault(15)', 'excessiveBER(16)',
      and 'dxsLinkFault(17)' and 'pxsLinkFault(18)' should be used
      instead of the enumeration 'notAvailable(4)' where the reason
      for the local fault can be identified through the use of the
      MDIO Interface.,  Where multiple reasons for the local fault
      state can be identified onlyh the highest precedence error
      should be reported.  The precedence in descending order is
      as follows:
        pxsLinkFault
        pmdLinkFault
        wisFrameLoss
        wisSignalLoss
        pcsLinkFault
        excessiveBER
        dxsLinkFault"

8. Add the following bit definitions to ifMauTypeListBits:
     b10GbaseX(31)
     b10GbaseLX4(32)
     b10GbaseR(33)
     b10GbaseER(34)
     b10GbaseLR(35)
     b10GbaseSR(36)
     b10GbaseW(37)
     b10GbaseEW(38)
     b10GbaseLW(39)
     b10GbaseLW4(40)
     b10GbaseSW(41)

9. Add references to 802.3ae and RFC 2668 as well as any changes
   to update to latest MIB boilerplate.  Change 2665 reference to
   point to 2665bis I-D.  We also may need to update references to
   base SNMP docs if the SNMPv3 WG finishes their updates before
   we do.

10. Update Author's Addresses section, etc.

11. Add changes since 2668 to Change Log appendix.

John

_______________________________________________
Hubmib mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/hubmib